Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.fields
Interface BigIntegerAccessor

All Superinterfaces:
  Field

All Known Implementing Classes:
  BinaryAsBigDecimalField, BinaryAsBigIntegerField, ExternalDecimalAsBigIntegerField, PackedDecimalAsBigIntegerField

    public interface BigIntegerAccessor

extends Field

Defines an interface for `Field` objects that have `BigInteger` accessors.

Method Summary
`java.math.BigInteger` | `getBigInteger(byte[] buffer)` Answer a BigInteger from the given byte array buffer, at the offset of this field.
`java.math.BigInteger` | `getBigInteger(byte[] buffer, int bufOffset)` Answer a BigInteger from the given byte array buffer, at the bufOffset + offset of this field.
`void` | `putBigInteger(java.math.BigInteger value, byte[] buffer)` Put a BigInteger into the given byte array buffer, at the offset of this field.
`void` | `putBigInteger(java.math.BigInteger value, byte[] buffer, int bufOffset)` Put a BigInteger into the given byte array buffer, at the bufOffset + offset of this field.

Methods inherited from interface com.ibm.jzos.fields.Field
`getByteLength, getOffset, setOffset`

Method Detail

### getBigInteger

    java.math.BigInteger getBigInteger(byte[] buffer)

  Answer a BigInteger from the given byte array buffer, at the offset of this field.

  Parameters:
    `buffer` - the byte array
  Returns:
    BigInteger

### getBigInteger

    java.math.BigInteger getBigInteger(byte[] buffer,
                                       int bufOffset)

  Answer a BigInteger from the given byte array buffer, at the bufOffset + offset of this field.

  Parameters:
    `buffer` - the byte array
    `bufOffset` - the additional offset into the byte array
  Returns:
    BigInteger

### putBigInteger

    void putBigInteger(java.math.BigInteger value,
                       byte[] buffer)
                       throws java.lang.IllegalArgumentException

  Put a BigInteger into the given byte array buffer, at the offset of this field.

  Parameters:
    `value` - the BigInteger value
    `buffer` - the byte array
  Throws:
    `java.lang.IllegalArgumentException` - if the value is out of range

### putBigInteger

    void putBigInteger(java.math.BigInteger value,
                       byte[] buffer,
                       int bufOffset)
                       throws java.lang.IllegalArgumentException

  Put a BigInteger into the given byte array buffer, at the bufOffset + offset of this field.

  Parameters:
    `value` - the BigInteger value
    `buffer` - the byte array
    `bufOffset` - the additional offset into the byte array
  Throws:
    `java.lang.IllegalArgumentException` - if the value is out of range

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD